WordPress LMS for Web and mobile Forums Ionic App Support App installation error

App installation error

Viewing 12 posts - 1 through 12 (of 12 total)
  • Author
    Posts
  • #29610

    Felipe Bedani
    Participant
    Hello, i'm gettin an error and its not with plugins.... C:\Users\caike\Documents\Ionic\planeta-musica>ionic serve > npm.cmd run ionic:serve -- --host=localhost --port=8100 [npm] > [email protected] ionic:serve C:\Users\caike\Documents\Ionic\planeta-musica [npm] > ionic-app-scripts serve "--host=localhost" "--port=8100" [npm] 'ionic-app-scripts' <span style="color: #222222; font-family: arial, sans-serif; white-space: pre-wrap; background-color: #f8f9fa;">not recognized as an internal command</span> [npm] <span style="color: #222222; font-family: arial, sans-serif; white-space: pre-wrap; background-color: #f8f9fa;">or external, an operable program or a batch file.</span> [npm] npm ERR! code ELIFECYCLE [npm] npm ERR! errno 1 [npm] npm ERR! [email protected] ionic:serve: ionic-app-scripts serve "--host=localhost" "--port=8100" [npm] npm ERR! Exit status 1 [npm] npm ERR! [npm] npm ERR! Failed at the [email protected] ionic:serve script. [npm] npm ERR! This is probably not a problem with npm. There is likely additional logging output above. [npm] npm ERR! A complete log of this run can be found in: [npm] npm ERR!     C:\Users\caike\AppData\Roaming\npm-cache\_logs\2019-07-20T21_40_03_129Z-debug.log   [ERROR] npm has unexpectedly closed (exit code 1).   The Ionic CLI will exit. Please check any output above for error details.       What shoud i do? I already tryed ionic doctor check...  
    #29669

    Harry
    Spectator
    This reply has been marked as private.
    #29688

    Felipe Bedani
    Participant
    thanks for the answer.. I downgrade my ionic cli only on the project to 4.2.1 , then almost work but suddenly appears this error: [11:30:59]  typescript error [npm]             Argument for '--lib' option must be: 'es5', 'es6', 'es2015', 'es7', 'es2016', 'es2017', 'esnext', 'dom', [npm]             'dom.iterable', 'webworker', 'scripthost', 'es2015.core', 'es2015.collection', 'es2015.generator', [npm]             'es2015.iterable', 'es2015.promise', 'es2015.proxy', 'es2015.reflect', 'es2015.symbol', [npm]             'es2015.symbol.wellknown', 'es2016.array.include', 'es2017.object', 'es2017.sharedmemory', 'es2017.string', [npm]             'esnext.asynciterable'. [npm] [11:30:59]  ionic-app-script task: "serve" [npm] [11:30:59]  TypeError: Cannot read property 'replace' of null [npm] TypeError: Cannot read property 'replace' of null [npm]     at Object.escapeHtml (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\util\helpers.js:253:10) [npm]     at generateCodeBlock (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\logger\logger-diagnostics.js:187:77) [npm]     at generateDiagnosticHtml (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\logger\logger-diagnostics.js:179:12) [npm]     at Array.map (<anonymous>) [npm]     at Object.printDiagnostics (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\logger\logger-diagnostics.js:15:39) [npm]     at getTsConfig (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\transpile.js:322:34) [npm]     at Object.<anonymous> (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\transpile.js:298:46) [npm]     at step (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\transpile.js:32:23) [npm]     at Object.next (C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\transpile.js:13:53) [npm]     at C:\Users\caike\Documents\Ionic\planetamusica\node_modules\@ionic\app-scripts\dist\transpile.js:7:71     What shoud i do now?
    #29691

    Felipe Bedani
    Participant
    I found the error... it was the version of cordova after i downgraded too, open the navegator but with a firebase error. What shoud i do about this firebase error?
    #29692

    Felipe Bedani
    Participant
    I fix the firebase error installing the firebase dependecies.. now i'm with another error :(   [app-scripts] [18:36:47]  typescript: ...sers/caike/Documents/Ionic/planetamusica/planetamusicateste/src/services/chat.ts, line: 71 [app-scripts]             Argument of type '(mychat: DataSnapshot) => void' is not assignable to parameter of type '(a: DataSnapshot) [app-scripts]             => boolean'. Type 'void' is not assignable to type 'boolean'. [app-scripts] [18:36:47]  typescript: ...sers/caike/Documents/Ionic/planetamusica/planetamusicateste/src/services/chat.ts, line: 134 [app-scripts]       L70:  .once("value",(snapshot) => { [app-scripts]       L71:        snapshot.forEach((mychat)=>{ [app-scripts]       L72:                allmyChats.push(new Promise((resolve)=>{ [app-scripts]             Argument of type '(mychat: DataSnapshot) => void' is not assignable to parameter of type '(a: DataSnapshot) [app-scripts]             => boolean'. Type 'void' is not assignable to type 'boolean'. [app-scripts]      L134:                                        snapshot.forEach((mychat)=>{ [app-scripts]      L135:                                                allmyChats.push(new Promise((resolve)=>{     this one its seems because of this import from this library "<span style="font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre; color: #c586c0;">import</span><span style="background-color: #1e1e1e; color: #d4d4d4; font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre;"> { </span><span style="font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre; color: #9cdcfe;">Observable</span><span style="background-color: #1e1e1e; color: #d4d4d4; font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre;"> } </span><span style="font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre; color: #c586c0;">from</span> <span style="font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre; color: #ce9178;">'rxjs/Observable'</span><span style="background-color: #1e1e1e; color: #d4d4d4; font-family: Consolas, 'Courier New', monospace; font-size: 14px; white-space: pre;">;"</span> i dont know what i do now....
    #29707

    Harry
    Spectator
    Hey send your src file, i will fix this error because i don't understand what was the error.
    #29851

    Felipe Bedani
    Participant
    Hey, from where do i send you the files? if i remove this line: import from rxjs/Observable But this functional programming are with error: on chat.ts lines 70 and 133... snapshot.foreach((mychat)=>{   And i have two more questios.... How do i use the paid membership ? How do i enable the Visual Composer? What domain i put on vimeo pro?   Thanks for the help.  
    #29863

    Harry
    Spectator
    Hey upload the file in google drive and share the link
    #29877

    Mayank Sethi
    Participant
    i am also facing the same issues https://drive.google.com/drive/folders/1rxImTA9eC7zJRKGcArmr8xiIAaJeqm3i?usp=sharing    
    #29884

    Harry
    Spectator
    Hey its working but i am fix some feature course so it look good for that you have to send the credential for the site.
    #34908

    jadanhi
    Participant
    The same problem  
    #35059

    Scott Lang
    Keymaster
    Hi, We are using these details to configure our app (IONIC INFO): https://gist.githubusercontent.com/shubham-99fusion/afff746f96aff17cad7fa34aa6c00e0c/raw/f9ce1d249da5cde3fdf50e6b55d5086cc533b281/ionic_info10_1_19 Make sure your ionic version matches with ours. Here is our package.json file: https://we.tl/t-fNcuOP8Rik  
Viewing 12 posts - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.